Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Dynamic Languages Toolkit (DLTK) » Deprecated Class
Deprecated Class [message #541880] Tue, 22 June 2010 21:50 Go to next message
Rodrigo Antonio is currently offline Rodrigo Antonio
Messages: 17
Registered: June 2010
Location: São Paulo - Brasil
Junior Member
Hello everyone,

I have another question....

The Eclipse is saying that several class that use these deprecated....

For example ExpressionList and DLTKToken

There is already a substitute for them?
Is there a list where I can consult?
It's best to wait Dltk 2.0 to continue my implementation?

Thanks a lot

Rodrigo
Re: Deprecated Class [message #541932 is a reply to message #541880] Wed, 23 June 2010 09:17 Go to previous message
Alex Panchenko is currently offline Alex Panchenko
Messages: 342
Registered: July 2009
Senior Member
Hi Rodrigo,

You can download DLTK 2.0 from the download area (at the moment it is named RC4 -> it will be renamed to final release).

Instead of DLTKToken you'd better pass start and end offsets. If you use grammar based parsers they already have their own tokens, so there is no need to copy data into the DLTKTokens.

ExpressionList isn't generic enough, that's why it was deprecated. You can create your own class.

Actually it's quite hard to create generally useful AST class hierarchy, so we are making it optional - so you have a choice to use AST classes provided by DLTK or your own.

Regards,
Alex
Previous Topic:Trying to install DLTK but Galileo Software Repository not found
Next Topic:How do I use the DLTK JavaScript debugger?
Goto Forum:
  


Current Time: Sat Sep 20 14:05:51 GMT 2014

Powered by FUDForum. Page generated in 0.01561 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software